文档章节

Eclipse升级到ADT-23.0.2 Fail 解决方法

雪鸿·未央
 雪鸿·未央
发布于 2014/07/11 15:38
字数 240
阅读 11276
收藏 3

工具:eclipse3.7.2

升级ADT:从ADT-22.3.0到ADT-23.0.2


错误信息:

Cannot complete the install because of a conflicting dependency.
  Software being installed: Android Development Tools 23.0.2.1259578 (com.android.ide.eclipse.adt.feature.feature.group 

23.0.2.1259578)
  Software currently installed: Android Development Tools 22.3.0.v201310242005-887826 

(com.android.ide.eclipse.adt.feature.group 22.3.0.v201310242005-887826)
  Only one of the following can be installed at once: 
    ADT XML Overlay 23.0.2.1259578 (overlay.com.android.ide.eclipse.adt.overlay 23.0.2.1259578)
    ADT XML Overlay 22.3.0.v201310242005-887826 (overlay.com.android.ide.eclipse.adt.overlay 22.3.0.v201310242005-

887826)
  Cannot satisfy dependency:
    From: Android Development Tools 23.0.2.1259578 (com.android.ide.eclipse.adt.feature.feature.group 23.0.2.1259578)
    To: overlay.com.android.ide.eclipse.adt.overlay [23.0.2.1259578]
  Cannot satisfy dependency:
    From: Android Development Tools 22.3.0.v201310242005-887826 (com.android.ide.eclipse.adt.feature.group 

22.3.0.v201310242005-887826)
    To: overlay.com.android.ide.eclipse.adt.overlay [22.3.0.v201310242005-887826]


第一步:卸载旧的ADT插件

Eclipse——Help——About Eclipse——Installation Details——Installed Software

 

选中旧的ADT插件——Uninstall



 

 

 

[注:上图为已更新成功后的版本,升级前为22.3.0.v201310242005-887826]

 

第二步:安装新的ADT插件

Eclipse——Help——Install New Software——Add

 

Name:ADT-23.0.2

Location:点击Archive选中已下载的ADT zip包【jar:file:/D:/Android-Develop/ADT-23.0.2.zip!/】

或者从http://dl-ssl.google.com/android/eclipse更新

 

更新完成后Restart Eclipse即可!

 

ADT插件下载:http://dl.google.com/android/ADT-23.0.2.zip

 

http://developer.android.com/sdk/installing/installing-adt.html



© 著作权归作者所有

雪鸿·未央
粉丝 0
博文 4
码字总数 3490
作品 0
深圳
私信 提问
Android ADT 23.0.0无法更新到23.0.2问题解决方案

android SDK更新到23.0.2后创建新项目无法创建MainActivity和默认布局,这个时候就需要更新ADT到23.0.2更新时报如下错误 Your original request has been modified."Android DDMS" is alread......

代號五一三
2014/07/07
8.9K
2
sdk 与adt不适用,在eclipse 中删除版本再装引起的问题

eclipse 使用的是4.3版本的,sdk 使用24.3.2,这里的是一个全量包来的,就是从24.3.2 以下的版本都包括在里面了,而 adt 只找到最高 23.06 一开始还能用着,但是,因版本不对称,总是要在里面...

时尚龙皇
2015/09/09
463
0
ADT 23.0.2 缺少NDK PATH 问题解决

升级了ADT版本,遇到一个大问题:Windows -> Preferences -> Android ->NDK 找不到了。。 [我是从 http://developer.android.com/sdk/index.html][1] 下载了最新的 adt-bundle for mac(截止......

Cundong
2014/09/01
2.2K
0
安卓环境搭建

1、安装文件:jdk,adt,eclipse,sdk 2、sdk如果解压缩后,文件不全,可以自己更新。解压后运行SDK Manager.exe文件。选择版本更新 SDK下载路径 http://developer.android.com/sdk/index.h...

lee_json
2014/11/04
0
0
Eclipse新建项目报错

使用Eclipse新建项目时,minSdkVersion="8",targetSdkVersion="19". 自动生成appcompat v7.但是依赖包报错,项目红色感叹号。更加不可理解的是提示 D:\DailyStudy\Android\NDKProject\appco......

wolfbigbig
2016/03/01
318
2

没有更多内容

加载失败,请刷新页面

加载更多

Kafka 原理和实战

本文首发于 vivo互联网技术 微信公众号 https://mp.weixin.qq.com/s/bV8AhqAjQp4a_iXRfobkCQ 作者简介:郑志彬,毕业于华南理工大学计算机科学与技术(双语班)。先后从事过电子商务、开放平...

vivo互联网技术
20分钟前
7
0
java数据类型

基本类型: 整型:Byte,short,int,long 浮点型:float,double 字符型:char 布尔型:boolean 引用类型: 类类型: 接口类型: 数组类型: Byte 1字节 八位 -128 -------- 127 short 2字节...

audience_1
今天
7
0
太全了|万字详解Docker架构原理、功能及使用

一、简介 1、了解Docker的前生LXC LXC为Linux Container的简写。可以提供轻量级的虚拟化,以便隔离进程和资源,而且不需要提供指令解释机制以及全虚拟化的其他复杂性。相当于C++中的NameSpa...

Java技术剑
今天
13
0
Wifiphisher —— 非常非常非常流氓的 WIFI 网络钓鱼框架

编者注:这是一个非常流氓的 WIFI 网络钓鱼工具,甚至可能是非法的工具(取决于你的使用场景)。在没有事先获得许可的情况下使用 Wifiphisher 攻击基础网络设施将被视为非法活动。使用时请遵...

红薯
今天
62
1
MongoDB 4 on CentOS 7安装指南

本教程为CentOS x86_64 7.x操作系统下,MongoDB Community x86_64 4.2(GA)安装指南。 安装方式一:yum repo在线安装 [此方式较为简单,官方推荐] Step1:新建MongDB社区版Yum镜像源。 # vim ...

王焱君
今天
9
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部